%define up_name		libXISF

%define major		0
%define libname		%mklibname xisf %{major}
%define develname	%mklibname xisf -d

Name:		libxisf
Version:	0.2.13
Release:	%mkrel 2
Summary:	Library to read/write PixInsight XISF files
License:	GPLv3+
Group:		System/Libraries
URL:		https://gitea.nouspiro.space/nou/libXISF
Source0:	https://gitea.nouspiro.space/nou/libXISF/archive/v%{version}/%{up_name}-v%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	pkgconfig(liblz4)
BuildRequires:	pkgconfig(libzstd)
BuildRequires:	pkgconfig(pugixml)
BuildRequires:	pkgconfig(zlib)

%description
C++ library that can read and write XISF files produced by PixInsight.

#------------------------------------------------

%package -n	%{libname}
Summary:	Library to read/write PixInsight XISF files
Group:		System/Libraries

%description -n	%{libname}
C++ library that can read and write XISF files produced
by PixInsight.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	xisf-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -p1 -n libxisf

%build
%cmake -DUSE_BUNDLED_LIBS=OFF
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc README.md
%license LICENSE
%{_libdir}/libXISF.so.%{major}
%{_libdir}/libXISF.so.%{version}

%files -n %{develname}
%doc README.md
%{_includedir}/libXISF_global.h
%{_includedir}/libxisf.h
%{_libdir}/libXISF.so
%{_libdir}/pkgconfig/libxisf.pc


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.2.13-2.mga10
+ Revision: 2235402
- Mageia 10 Mass Rebuild

* Mon Feb 03 2025 daviddavid <daviddavid> 0.2.13-1.mga10
+ Revision: 2144932
- new version: 0.2.13

* Sat Jan 11 2025 daviddavid <daviddavid> 0.2.12-1.mga10
+ Revision: 2137499
- new version: 0.2.12

* Fri Dec 29 2023 daviddavid <daviddavid> 0.2.10-1.mga10
+ Revision: 2023589
- new version: 0.2.10

* Fri Dec 29 2023 daviddavid <daviddavid> 0.2.9-1.mga10
+ Revision: 2023588
- new version: 0.2.9

* Mon Aug 28 2023 daviddavid <daviddavid> 0.2.8-1.mga10
+ Revision: 1980540
- new version: 0.2.8

* Sun Apr 09 2023 daviddavid <daviddavid> 0.2.2-2.mga9
+ Revision: 1951858
- use system lz4, pugixml and zlib
- provides a pkgconfig file

* Sun Apr 09 2023 daviddavid <daviddavid> 0.2.2-1.mga9
+ Revision: 1951853
- initial package libxisf

